<?php


// =============================== Social Profiles Widget ======================================

class AS_SocialWidget extends WP_Widget {

   function AS_SocialWidget() {
     	$widget_ops = array('description' => 'Add some social links to your sidebar with this widget. Works best in the top, designated sidebar.' );

       parent::WP_Widget(false, $name = __('Social Profiles', 'woothemes'),$widget_ops);    
   }


   function widget($args, $instance) {        
       extract( $args );
       
       $preset = $instance['preset'];
       $url = $instance['url'];
       $title = $instance['title'];
       $custom_title = $instance['custom'];
	   $link_title = $instance['link_title'];
	   $custom_img = $instance['custom_img'];
	   
	   $img_src = get_bloginfo('template_directory') . '/images/mediaicons/' . $preset . '.png';
	   
	   if($link_title == ''){ $link_title = "View my profile"; }
	   
	   if(!empty($custom_img)){
	   		$preset = $custom_title;
			$img_src = $custom_img;
	   }  
       ?>   		

			<li id="social-<?php echo $preset; ?>" class="box">
				<img src="<?php echo $img_src; ?>" alt="<?php echo $preset; ?>" />
				<a href="<?php echo $url; ?>" title="<?php echo $preset; ?>">
					<span class="site"><?php if ( $custom_title <> "" ) { echo $custom_title; } else { echo ucfirst( $preset ); } ?></span>
					<span class="url"><?php echo $link_title; ?></span>
				</a>
			</li>       

       <?php
   }

   function update($new_instance, $old_instance) {                
       return $new_instance;
   }

   function form($instance) {                
       $preset = esc_attr($instance['preset']);
       $url = esc_attr($instance['url']);
       $title = esc_attr($instance['title']);
       $custom_title = esc_attr($instance['custom']);
	   $link_title = esc_attr($instance['link_title']);
	   $custom_img = esc_attr($instance['custom_img']);
       ?>
       <p>
       <label for="<?php echo $this->get_field_id('preset'); ?>"><?php _e('Preset:','woothemes'); ?></label>
       <select name="<?php echo $this->get_field_name('preset'); ?>" class="widefat" id="<?php echo $this->get_field_id('preset'); ?>">
           <option value="select">-- <?php _e('Select Preset',woothemes); ?> --</option>
           <option value="brightkite" <?php if($preset== 'brightkite'){ echo "selected='selected'";} ?>>Brightkite</option>
           <option value="delicious" <?php if($preset== 'delicious'){ echo "selected='selected'";} ?>>Delicious</option>           
           <option value="deviantart" <?php if($preset== 'deviantart'){ echo "selected='selected'";} ?>>DeviantArt</option>           
           <option value="digg" <?php if($preset== 'digg'){ echo "selected='selected'";} ?>>Digg</option>
           <option value="facebook" <?php if($preset== 'facebook'){ echo "selected='selected'";} ?>>Facebook</option>
           <option value="flickr" <?php if($preset== 'flickr'){ echo "selected='selected'";} ?>>Flickr</option>
           <option value="friendfeed" <?php if($preset== 'friendfeed'){ echo "selected='selected'";} ?>>FriendFeed</option>
           <option value="lastfm" <?php if($preset== 'lastfm'){ echo "selected='selected'";} ?>>LastFM</option>
           <option value="linkedin" <?php if($preset == 'linkedin'){ echo "selected='selected'";} ?>>LinkedIn</option>           
           <option value="posterous" <?php if($preset== 'posterous'){ echo "selected='selected'";} ?>>Posterous</option>
           <option value="stumbleupon" <?php if($preset== 'stumbleupon'){ echo "selected='selected'";} ?>>Stumbleupon</option>
           <option value="tumblr" <?php if($preset== 'tumblr'){ echo "selected='selected'";} ?>>Tumblr</option>
           <option value="twitter" <?php if($preset == 'twitter'){ echo "selected='selected'";} ?>>Twitter</option>
           <option value="vimeo" <?php if($preset== 'vimeo'){ echo "selected='selected'";} ?>>Vimeo</option>
           <option value="youtube" <?php if($preset== 'youtube'){ echo "selected='selected'";} ?>>YouTube</option>           
       </select>
       </p>
       <p style="display:none">
       <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','woothemes'); ?>
       <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php if ( $preset <> "select" ) { echo $preset; } else { echo $custom_title; } ?>" />
       </label>
       </p>     
       <p>
       <label for="<?php echo $this->get_field_id('url'); ?>"><?php _e('URL:','woothemes'); ?>
       <input class="widefat" id="<?php echo $this->get_field_id('url'); ?>" name="<?php echo $this->get_field_name('url'); ?>" type="text" value="<?php echo $url; ?>" />
       </label>
       </p>
       <p><strong><?php _e('OR specify a custom value',woothemes); ?></strong></p>
       <p>
       <label for="<?php echo $this->get_field_id('custom'); ?>"><?php _e('Custom Title:','woothemes'); ?>
       <input class="widefat" id="<?php echo $this->get_field_id('custom'); ?>" name="<?php echo $this->get_field_name('custom'); ?>" type="text" value="<?php echo $custom_title; ?>" />
       </label>
       </p>  
       <p>
       <label for="<?php echo $this->get_field_id('link_title'); ?>"><?php _e('Custom Link Title:','woothemes'); ?>
       <input class="widefat" id="<?php echo $this->get_field_id('link_title'); ?>" name="<?php echo $this->get_field_name('link_title'); ?>" type="text" value="<?php echo $link_title; ?>" />
       </label>
       </p> 
       <p>
       <label for="<?php echo $this->get_field_id('custom_img'); ?>"><?php _e('Custom Image:','woothemes'); ?>
       <input class="widefat" id="<?php echo $this->get_field_id('custom_img'); ?>" name="<?php echo $this->get_field_name('custom_img'); ?>" type="text" value="<?php echo $custom_img; ?>" />
       </label>
       </p>         
       <?php 
   }

} 

register_widget('AS_SocialWidget');


// =============================== Tabber Widget ======================================

class MS_Tabber extends WP_Widget {

   function MS_Tabber() {
  	   $widget_ops = array('description' => 'This widget is the Tabber that classicaly goes into the sidebar. It contains the Lifestream, Popular posts, Recent comments and a Tag cloud.' );
       parent::WP_Widget(false, $name = __('Woo - Tabber', 'woothemes'), $widget_ops);    
   }


   function widget($args, $instance) {        
       extract( $args );
       
       $limit = $instance['limit'];
       ?>  

 		<div id="tabber">
           
        <ul class="wooTabs">
        	<li class="lifestream"><a href="#life"><?php _e('Lifestream','woothemes'); ?></a></li>
			<li class="popular"><a href="#pop"><?php _e('Popular','woothemes'); ?></a></li>
            <li class="comments"><a href="#comm"><?php _e('Comments','woothemes'); ?></a></li>
            <li class="tags"><a href="#tagcloud"><?php _e('Tags','woothemes'); ?></a></li>
        </ul>
        
        <div class="clear"></div>
        
       	<div class="boxes box inside">
			
			<div id="life">
				<?php  if (function_exists('lifestream')) { lifestream(array("limit"=>$limit)); } ?>
			</div>
			
   	   		<ul id="pop" class="list">            
    			<?php include(TEMPLATEPATH . '/includes/popular.php' ); ?>                    
	    	</ul>

			<ul id="comm" class="list">
				<?php include(TEMPLATEPATH . '/includes/comments.php' ); ?>                    
			</ul>	
            
    	  	<div id="tagcloud" class="list">
     			<?php wp_tag_cloud('smallest=10&largest=18'); ?>
	     	</div>
	     	
	     </div><!-- /.boxes -->
			
    </div><!-- /tabber -->
    
         <?php
   }

   function update($new_instance, $old_instance) {                
       return $new_instance;
   }

   function form($instance) {                
       $limit = esc_attr($instance['limit']);
	   
	   if($limit == '') { $limit = 20; }

       ?>    
       <p>
       <label for="<?php echo $this->get_field_id('limit'); ?>"><?php _e('Lifestream Limit:','woothemes'); ?>
       <input class="widefat" id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="text" value="<?php echo $limit; ?>" />
       </label>
       </p>  
       <?php 
   }

} 

register_widget('MS_Tabber');




// =============================== Video Widget ======================================

class MS_Video extends WP_Widget {

   function MS_Video() {
   		$widget_ops = array('description' => 'This video widget will display the titles and embed codes (added via a custom field) from posts within a certain tag category.' );
       parent::WP_Widget(false, $name = __('Woo - Videos Widget', 'woothemes'),$widget_ops);    
   }


   function widget($args, $instance) {        
       extract( $args );
	   
	   
       $title = $instance['title'];
	   $tag = $instance['tag'];
	   $limit = $instance['limit'];
	   $w = $instance['w'];
       $h = $instance['h'];
	  
	  
       $posts = get_posts('numberposts='. $limit . '&tag=' . $tag); 
		
		 ?> 
		
		 <?php echo $before_widget; ?>
		 <?php echo $before_title; ?>
		 <?php echo $title; ?>
		 <?php echo $after_title; ?> 
         
         <?php 
		 
		 foreach($posts as $post){
		 ?>
		 <?php echo '<h4>' . get_the_title($post->ID) . '</h4>'; ?>	
		 <?php echo woo_get_embed('embed',$w,$h,'sidebar-video',$post->ID); ?>
         
         <?phP } ?>
         
 		 <?php echo $after_widget;
      
   }

   function update($new_instance, $old_instance) {                
       return $new_instance;
   }

   function form($instance) {  
    
   	   $title = esc_attr($instance['title']);             
       $tag = esc_attr($instance['tag']);
	   $limit = esc_attr($instance['limit']);
       $w = esc_attr($instance['w']);
       $h = esc_attr($instance['h']);

	   if($title == '' ){ $title = 'Latest Videos'; }
	   if($tag == '' ){ $tag = 'videos'; }
	   if($limit == '' ){ $limit = '5'; }
	   if($w == ''){ $w = 170; }
	   if($h == ''){ $h = 140; }
	   
	   
	   
       ?>

       <p>
       <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','woothemes'); ?>
       <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
       </label>
       </p>     
       <p>
       <label for="<?php echo $this->get_field_id('tag'); ?>"><?php _e('Video tag:','woothemes'); ?>
       <input class="widefat" id="<?php echo $this->get_field_id('url'); ?>" name="<?php echo $this->get_field_name('tag'); ?>" type="text" value="<?php echo $tag; ?>" />
       </label>
       </p>
       <p>
       <label for="<?php echo $this->get_field_id('limit'); ?>"><?php _e('Post Limit:','woothemes'); ?>
       <input class="widefat" id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="text" value="<?php echo $limit; ?>" />
       </label>
       </p>
       <p>
       <label><?php _e('Video Size:','woothemes'); ?></label>

       <input class="" id="<?php echo $this->get_field_id('w'); ?>" size="3" name="<?php echo $this->get_field_name('w'); ?>" type="text" value="<?php echo $w; ?>" />&nbsp;<small>W</small>&nbsp;
       <input class="" id="<?php echo $this->get_field_id('h'); ?>" size="3" name="<?php echo $this->get_field_name('h'); ?>" type="text" value="<?php echo $h; ?>" />&nbsp;<small>H</small>
              </p>
     
       <?php 
   }

} 

register_widget('MS_Video');



// =============================== Flickr widget ======================================

class Woo_flickr extends WP_Widget {

   function Woo_flickr() {
	   $widget_ops = array('description' => 'This Flickr widget populates photos from a Flickr ID.' );
       parent::WP_Widget(false, __('Woo - Flickr', 'woothemes'),$widget_ops);      
   }
   

   function widget($args, $instance) {  
    extract( $args );
   	$id = $instance['id'];
    $number = $instance['number'];

      
	 echo $before_widget;

     echo $before_title; ?>
     <?php _e('Photos on <span>flick<span>r</span></span>','woothemes'); ?>
     <?php echo $after_title; ?>
            
                
                <script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count=<?php echo $number; ?>&amp;display=latest&amp;size=s&amp;layout=x&amp;source=user&amp;user=<?php echo $id; ?>"></script>        
                <div class="clear"></div>

   <?php
			
   echo $after_widget;
   
   }

   function update($new_instance, $old_instance) {                
       return $new_instance;
   }

   function form($instance) {        
   
       $id = esc_attr($instance['id']);
       $number = esc_attr($instance['number']);
	   
       ?>
        <p>
            <label for="<?php echo $this->get_field_id('id'); ?>"><?php _e('Flickr ID (<a href="http://www.idgettr.com">idGettr</a>):','woothemes'); ?></label>
            <input type="text" name="<?php echo $this->get_field_name('id'); ?>" value="<?php echo $id; ?>" class="widefat" id="<?php echo $this->get_field_id('id'); ?>" />

        </p>
        <p>
            <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number of Images:','woothemes'); ?></label>
            <input type="text" name="<?php echo $this->get_field_name('number'); ?>" value="<?php echo $number; ?>" class="widefat" id="<?php echo $this->get_field_id('number'); ?>" />

        </p>

      <?php
   }

} 

register_widget('woo_flickr');



// =============================== Search widget ======================================
class Woo_search extends WP_Widget {

   function Woo_search() {
	   $widget_ops = array('description' => 'This is a WooThemes standardized search widget.' );
       parent::WP_Widget(false, __('Woo - Search', 'woothemes'),$widget_ops);      
   }
   

   function widget($args, $instance) {  
    extract( $args );
   	$title = $instance['title'];
    $display = $instance['display'];
	?>
      
	 <?php echo $before_widget; ?>

     <?php if ($display == 'on') { echo $before_title . $title . $after_title; } ?>
     
     <?php include(TEMPLATEPATH . '/search-form.php'); ?>
     
			
   <?php echo $after_widget; ?>
   
   <?php
   }

   function update($new_instance, $old_instance) {                
       return $new_instance;
   }

   function form($instance) {        
   
       $title = esc_attr($instance['title']);
       $display = esc_attr($instance['display']);

	   
       ?>
       
       <p>
	   	   <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','woothemes'); ?></label>
	       <input type="text" name="<?php echo $this->get_field_name('title'); ?>"  value="<?php echo $title; ?>" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" />

       </p>
       
       <p>
	   	   <label for="<?php echo $this->get_field_id('display'); ?>"><?php _e('Display Title:','woothemes'); ?></label>
	       <input type="checkbox" name="<?php echo $this->get_field_name('display'); ?>"  value="on" <?php if($display == 'on'){echo 'checked="checked"';} ?> id="<?php echo $this->get_field_id('display'); ?>" />

       </p>

      <?php
   }

} 

register_widget('Woo_search');

// =============== Ad Space ===========

class Woo_AdWidget extends WP_Widget {

   function Woo_AdWidget() {
	   $widget_ops = array('description' => 'Use this widget to add any type of Ad as a widget.' );
       parent::WP_Widget(false, __('Woo - Adspace Widget', 'woothemes'),$widget_ops);      
   }
   

   function widget($args, $instance) {  
   
   	$adcode = $instance['adcode'];
    $image = $instance['image'];
    $href = $instance['href'];
	$alt = $instance['alt'];



	if($adcode != ''){
	?>
    <div class="adspace-widget"><?php echo $adcode; ?></div>
    
    <?php } else { ?>
    
    <div class="adspace-widget">
     <a href="<?php echo $href; ?>"><img src="<?php echo $image; ?>" alt="<?php echo $alt; ?>" /></a>
    </div>

    <?php
	}

   }

   function update($new_instance, $old_instance) {                
       return $new_instance;
   }

   function form($instance) {        
   
  
       $adcode = esc_attr($instance['adcode']);
       $image = esc_attr($instance['image']);
       $href = esc_attr($instance['href']);
       $alt = esc_attr($instance['alt']);
	   
	   ?>
	   
       
       <p>
            <label for="<?php echo $this->get_field_id('adcode'); ?>"><?php _e('Ad Code:','woothemes'); ?></label>
            <textarea name="<?php echo $this->get_field_name('adcode'); ?>" class="widefat" id="<?php echo $this->get_field_id('adcode'); ?>"><?php echo $adcode; ?></textarea>

        </p>
       
       <p><strong>or</strong>
       </p>
       
       
       <p>
            <label for="<?php echo $this->get_field_id('image'); ?>"><?php _e('Image Url:','woothemes'); ?></label>
            <input type="text" name="<?php echo $this->get_field_name('image'); ?>" value="<?php echo $image; ?>" class="widefat" id="<?php echo $this->get_field_id('image'); ?>" />

        </p>
       
       <p>
	   	   <label for="<?php echo $this->get_field_id('href'); ?>"><?php _e('Link URL:','woothemes'); ?></label>
	       <input type="text" name="<?php echo $this->get_field_name('href'); ?>" value="<?php echo $href; ?>" class="widefat" id="<?php echo $this->get_field_id('href'); ?>" />

       </p>
       <p>
	   	   <label for="<?php echo $this->get_field_id('alt'); ?>"><?php _e('Alt text:','woothemes'); ?></label>
	       <input type="text" name="<?php echo $this->get_field_name('alt'); ?>" value="<?php echo $alt; ?>" class="widefat" id="<?php echo $this->get_field_id('alt'); ?>" />

       </p>
       
       <?php
   }

} 

register_widget('Woo_AdWidget');

// =============================== Twitter widget ======================================
class MS_Twitter extends WP_Widget {

   function MS_Twitter() {
	   $widget_ops = array('description' => 'Add your Twitter feed to your sidebar with this widget.' );
       parent::WP_Widget(false, __('Woo - Twitter Stream', 'woothemes'),$widget_ops);      
   }
   

   function widget($args, $instance) {  
    extract( $args );
   	$title = $instance['title'];
    $GLOBALS['twitter_widget_limit'] = $instance['limit'];
	$GLOBALS['twitter_widget_username'] = $instance['username'];
	?>
      
	 <?php echo $before_widget; ?>

     <?php echo $before_title . $title . $after_title; ?>
    
     <ul id="twitter_update_list"><li></li></ul>		 
    
	<?php echo $after_widget; ?>
   
   <?php
   }

   function update($new_instance, $old_instance) {                
       return $new_instance;
   }

   function form($instance) {        
   
       $title = esc_attr($instance['title']);
       $limit = esc_attr($instance['limit']);
	   $username = esc_attr($instance['username']);

       ?>
       <p>
	   	   <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','woothemes'); ?></label>
	       <input type="text" name="<?php echo $this->get_field_name('title'); ?>"  value="<?php echo $title; ?>" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" />
       </p>
       <p>
	   	   <label for="<?php echo $this->get_field_id('username'); ?>"><?php _e('Username:','woothemes'); ?></label>
	       <input type="text" name="<?php echo $this->get_field_name('username'); ?>"  value="<?php echo $username; ?>" class="widefat" id="<?php echo $this->get_field_id('username'); ?>" />
       </p>
       <p>
	   	   <label for="<?php echo $this->get_field_id('limit'); ?>"><?php _e('Limit:','woothemes'); ?></label>
	       <input type="text" name="<?php echo $this->get_field_name('limit'); ?>"  value="<?php echo $limit; ?>" class="" size="3" id="<?php echo $this->get_field_id('limit'); ?>" />

       </p>

      <?php
   }

} 

register_widget('MS_Twitter');

/* Deregister Default Widgets */

function woo_deregister_widgets(){
    unregister_widget('WP_Widget_Search');         
}
add_action('widgets_init', 'woo_deregister_widgets');  


?>